﻿@page
@using LapStore.Common
@model RegisterModel
@{
    ViewData["Title"] = "";
}
@if (User.IsInRole(SD.Role_Admin))
{
    
    <h1 class="pt-4">Register - ADMIN PORTAL</h1>
}
else{
<h1 class="pt-4">@ViewData["Title"]</h1>
}
<div class="row pt-4">
    <div class="col-md-7 ">
        <form id="registerForm" class="row" asp-route-returnUrl="@Model.ReturnUrl" method="post">
            <h2>Tạo tài khoản.</h2>
            <hr />
            <div asp-validation-summary="ModelOnly" class="text-danger"></div>
            <div class="py-2 col-6">
                 <label asp-for="Input.Email"></label>
                <input asp-for="Input.Email" class="form-control" autocomplete="username" aria-required="true" />
                <span asp-validation-for="Input.Email" class="text-danger"></span>
            </div>
            <div class="py-2 col-6">
                <label asp-for="Input.Name"></label>
                <input asp-for="Input.Name" class="form-control"  aria-required="true" />
                <span asp-validation-for="Input.Name" class="text-danger"></span>
            </div>
            
           
            <div class="py-2 col-6">
                 <label asp-for="Input.StreetAddress"></label>
                <input asp-for="Input.StreetAddress" class="form-control" aria-required="true" />
                <span asp-validation-for="Input.StreetAddress" class="text-danger"></span>
            </div>
            <div class="py-2 col-6">
                 <label asp-for="Input.City"></label>
                <input asp-for="Input.City" class="form-control" aria-required="true" />
                <span asp-validation-for="Input.City" class="text-danger"></span>
            </div>
           
        
            <div class="py-2 col-6">
                <label asp-for="Input.Password"></label>
                <input asp-for="Input.Password" class="form-control" autocomplete="new-password" aria-required="true" />
                <span asp-validation-for="Input.Password" class="text-danger"></span>
            </div>
            <div class="py-2 col-6">
                <label asp-for="Input.ConfirmPassword"></label>
                <input asp-for="Input.ConfirmPassword" class="form-control" autocomplete="new-password" aria-required="true" />  
                <span asp-validation-for="Input.ConfirmPassword" class="text-danger"></span>
            </div>
            @if(User.IsInRole(SD.Role_Admin)){
            <div class="py-2 col-6">
                <select asp-for="Input.Role" asp-items="@Model.Input.RoleList" class=form-select>
                    <option disabled selected>-Select Role-</option>
                </select>
                
            </div> 
            }
            <button id="registerSubmit" type="submit" class="w-100 btn btn-primary">Đăng ký</button>
        </form>
    </div>

@section Scripts {
    <partial name="_ValidationScriptsPartial" />
    
}
